# syntax=docker/dockerfile:1

FROM python:3.10-slim

ARG PIPENV_DEV="true"
ENV LANG C.UTF-8
ENV LC_ALL C.UTF-8
ENV PYTHONDONTWRITEBYTECODE 1
ENV PYTHONFAULTHANDLER 1
ENV PYTHONUNBUFFERED 1
ENV PIPENV_DEV=$PIPENV_DEV
ENV PIPENV_VENV_IN_PROJECT=1
ENV PATH="/.venv/bin:$PATH"

RUN apt-get update && apt-get install -y make git

RUN pip install pipenv

COPY Pipfile .

RUN pipenv install --skip-lock

COPY ./compose/entrypoint /entrypoint
RUN sed -i 's/\r$//g' /entrypoint
RUN chmod +x /entrypoint

COPY ./compose/local/start /start
RUN sed -i 's/\r$//g' /start
RUN chmod +x /start

WORKDIR /app

ENTRYPOINT ["/entrypoint"]
